Document structure/es: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 1: Line 1:
[[Image:Screenshot treeview.jpg|left]]
[[Image:Screenshot treeview.jpg|left]]
A FreeCAD document contains all the objects of your scene. It can contain groups, and objects made with any workbench. You can therefore switch between workbenches, and still work on the same document. The document is what gets saved to disk when you save your work. You can also open several documents at the same time in FreeCAD, and open several views of the same document.


Inside the document, the objects can be moved into groups, and have a unique name. Managing groups, objects and object names is done mainly from the Tree view. It can also be done, of course, like everything in FreeCAD, from the python interpreter. In the Tree view, you can create groups, move objects to groups, delete objects or groups, by right-clicking in the tree view or on an object, rename objects by double-clicking on their names, or possibly other operations, depending on the current workbench.
Un ''documento'' FreeCAD contiene todos los objetos de la escena. Puede contener grupos y objetos hechos con cualquier ''entorno de trabajo''. Por lo tanto, puedes cambiar entre los ''entornos de trabajo'', y seguir trabajando en el mismo documento. El documento es lo que se guarda en el disco al guardar tu trabajo. También puedes abrir varios documentos al mismo tiempo en FreeCAD, y abrir varias vistas del mismo documento.


The objects inside a FreeCAD document can be of different types. Each workbench can create its own types of objects, for example the [[Mesh Workbench]] creates mesh objects, the [[Part Workbench]] create Part objects, the [[Draft Workbench]] also creates Part objects, etc.
En el documento, los objetos se pueden mover e incorporar a grupos, y cada objeto tiene un nombre único, exclusivo. La gestión de grupos, objetos y nombres de objeto se hace principalmente en la vista de árbol. También se puede hacer, por supuesto, como todo en FreeCAD, desde el intérprete de Python. En la vista de árbol, se pueden crear grupos, mover objetos a grupos, eliminar objetos o grupos,... haciendo clic con el botón derecho del ratón en la vista en árbol o en un objeto, cambiar el nombre de los objetos haciendo doble clic sobre sus nombres,... o posiblemente otras operaciones, en función del ''entorno de trabajo'' en curso.


If there is at least one document open in FreeCAD, there is always one and only one active document. That's the document that appears in the current 3D view, the document you are currently working on.
Los objetos dentro de un documento FreeCAD pueden ser de diferentes tipos. Cada ''entorno de trabajo'' puede crear sus propios tipos de objetos, por ejemplo, el [[Mesh Module/es|Entorno de trabajo de mallas]] crea objetos de malla, el [[Part Module/es|Entorno de trabajo de piezas]] crear objetos de piezas, el [[Draft_Module/es|Entorno de croquizado 2D]] también crea objetos Pieza, etc


==Application and User Interface==
Si hay uno o más documentos abiertos en FreeCAD, siempre alguno de ellos, y sólo uno, será el ''documento activo''. Ese es el documento que aparece en la vista 3D actual, el documento con el que se está trabajando actualmente.


Like almost everything else in FreeCAD, the user interface part (Gui) is separated from the base application part (App). This is also valid for documents. The documents are also made of two parts: the Application document, which contains our objects, and the View document, which contains the representation on screen of our objects.
== Aplicación e interfaz de usuario ==


Think of it as two spaces, where the objects are defined. Their constructive parameters (is it a cube? a cone? which size?) are stored in the Application document, while their graphical representation (is it drawn with black lines? with blue faces?) are stored in the View document. Why is that? Because FreeCAD can also be used WITHOUT graphical interface, for example inside other programs, and we must still be able to manipulate our objects, even if nothing is drawn on the screen.
Como casi todo lo demás en FreeCAD, la interfaz de usuario (''GUI'') del entorno de trabajo de piezas está separada de la aplicación base de piezas. Esto también es válido para los documentos. Los documentos también están hechos de dos partes: el documento de la aplicación, que contiene nuestros objetos, y el documento ''Vista'', que contiene la representación en pantalla de nuestros objetos.


Another thing that is contained inside the View document are 3D views. One document can have several views opened, so you can inspect your document from several points of view at the same time. Maybe you would want to see a top view and a front view of your work at the same time? Then, you will have two views of the same document, both stored in the View document. Creating new views or closing views can be done from the View menu or by right-clicking on a view tab.
Piensa en ello como dos espacios, donde los objetos están definidos. Sus parámetros constructivos (¿es un cubo? ¿Un cono? ¿Qué tamaño? ...) se almacenan en el documento de aplicación, mientras que su representación gráfica (¿es dibujado con línea negra? ¿Con las caras azules? ...) se almacena en el documento Vista. ¿Por qué? Porque FreeCAD también puede ser utilizado sin interfaz gráfica, por ejemplo dentro de otros programas y, aún así, tenemos que ser capaces de manipular nuestros objetos, incluso si no se dibujan en la pantalla.


==Scripting==
Otra cosa que está contenida en el ''documento Vista'' son las ''vistas'' 3D. Un documento puede tener varias vistas abiertas, así que puedes inspeccionar tu documento desde varios puntos de vista al mismo tiempo. Tal vez te gustaría ver una vista superior y una vista frontal de tu trabajo, al mismo tiempo. De ese modo, tendrías dos puntos de vista del mismo documento, ambos almacenados en el documento Vista. Crear puntos de vista nuevos o cerrar vistas se puede hacer desde el ''menú'' Vista o haciendo clic derecho en la ''pestaña'' de una vista.


Documents can be easily created, accessed and modified from the python interpreter. For example:

== Archivos de guión ==

Los documentos se pueden crear fácilmente, acceder y modificar desde el intérprete de Python. Por ejemplo:
FreeCAD.ActiveDocument
FreeCAD.ActiveDocument
Will return the current (active) document
devolverá el documento activo actual
FreeCAD.ActiveDocument.Blob
FreeCAD.ActiveDocument.Blob
accedería a un objeto llamado "Blob" dentro de tu documento
Would access an object called "Blob" inside your document
FreeCADGui.ActiveDocument
FreeCADGui.ActiveDocument
Will return the view document associated to the current document
devolvería el ''documento vista'' asociado al documento actual
FreeCADGui.ActiveDocument.Blob
FreeCADGui.ActiveDocument.Blob
Would access the graphical representation (view) part of our Blob object
accedería a la parte representación gráfica (''vista'') de nuestro objeto Blob
FreeCADGui.ActiveDocument.ActiveView
FreeCADGui.ActiveDocument.ActiveView
Will return the current view
devolverá la vista actual



{{docnav/es|Mouse Model/es|Preferences Editor/es}}


{{docnav|Mouse Model|Preferences Editor}}
{{languages/es | {{en|Document_structure}} {{cn|Document structure/cn}} {{de|Document structure/de}} {{fr|Document structure/fr}} {{it|Document structure/it}} {{pl|Document structure/pl}} {{ru|Document structure/ru}} {{se|Document structure/se}} }}


[[Category:User Documentation/es]]
[[Category:User Documentation]]
<languages/>

Revision as of 22:11, 29 November 2013

A FreeCAD document contains all the objects of your scene. It can contain groups, and objects made with any workbench. You can therefore switch between workbenches, and still work on the same document. The document is what gets saved to disk when you save your work. You can also open several documents at the same time in FreeCAD, and open several views of the same document.

Inside the document, the objects can be moved into groups, and have a unique name. Managing groups, objects and object names is done mainly from the Tree view. It can also be done, of course, like everything in FreeCAD, from the python interpreter. In the Tree view, you can create groups, move objects to groups, delete objects or groups, by right-clicking in the tree view or on an object, rename objects by double-clicking on their names, or possibly other operations, depending on the current workbench.

The objects inside a FreeCAD document can be of different types. Each workbench can create its own types of objects, for example the Mesh Workbench creates mesh objects, the Part Workbench create Part objects, the Draft Workbench also creates Part objects, etc.

If there is at least one document open in FreeCAD, there is always one and only one active document. That's the document that appears in the current 3D view, the document you are currently working on.

Application and User Interface

Like almost everything else in FreeCAD, the user interface part (Gui) is separated from the base application part (App). This is also valid for documents. The documents are also made of two parts: the Application document, which contains our objects, and the View document, which contains the representation on screen of our objects.

Think of it as two spaces, where the objects are defined. Their constructive parameters (is it a cube? a cone? which size?) are stored in the Application document, while their graphical representation (is it drawn with black lines? with blue faces?) are stored in the View document. Why is that? Because FreeCAD can also be used WITHOUT graphical interface, for example inside other programs, and we must still be able to manipulate our objects, even if nothing is drawn on the screen.

Another thing that is contained inside the View document are 3D views. One document can have several views opened, so you can inspect your document from several points of view at the same time. Maybe you would want to see a top view and a front view of your work at the same time? Then, you will have two views of the same document, both stored in the View document. Creating new views or closing views can be done from the View menu or by right-clicking on a view tab.

Scripting

Documents can be easily created, accessed and modified from the python interpreter. For example:

FreeCAD.ActiveDocument

Will return the current (active) document

FreeCAD.ActiveDocument.Blob

Would access an object called "Blob" inside your document

FreeCADGui.ActiveDocument

Will return the view document associated to the current document

FreeCADGui.ActiveDocument.Blob

Would access the graphical representation (view) part of our Blob object

FreeCADGui.ActiveDocument.ActiveView

Will return the current view

Mouse Model
Preferences Editor